org.eclipse.actf.visualization.engines.lowvision.image

## Class PageImageFactory

- java.lang.Object
- - org.eclipse.actf.visualization.engines.lowvision.image.PageImageFactory

    public class PageImageFactory
    extends Object

Factory for `IPageImage` instance.

### Constructor Summary

Constructors
Constructor and Description
`PageImageFactory()`

### Method Summary

Methods
`static IPageImage` `createPageImage()` Create empty `IPageImage` instance
`static IPageImage` `createPageImage(InputStream is)` Read image data (bitmap) from `InputStream` and create new `IPageImage` instance
`static IPageImage` `createPageImage(InputStream is, boolean removeScrollBar)` Read image data (bitmap) from `InputStream` and create new `IPageImage` instance.
`static IPageImage` `createPageImage(String bmpFileName)` Read image data (bitmap) from target file and create new `IPageImage` instance
`static IPageImage` `createPageImage(String bmpFileName, boolean removeScrollBar)` Read image data (bitmap) from target file and create new `IPageImage` instance.
`static IPageImage` `createSimulationPageImage(IPageImage target, LowVisionType type)` Simulate low vision user's view by using `LowVisionType` configuration and return result as new `IPageImage` instance
`static IPageImage` `joinPageImages(IPageImage[] targets)` Join multiple `IPageImage` into new `IPageImage` instance

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PageImageFactory

    public PageImageFactory()

### Method Detail

#### createPageImage

    public static IPageImage createPageImage()

Create empty `IPageImage` instance

Returns:
  empty `IPageImage` instance

#### createSimulationPageImage

    public static IPageImage createSimulationPageImage(IPageImage target,
                                       LowVisionType type)
                                                throws ImageException

Simulate low vision user's view by using `LowVisionType` configuration and return result as new `IPageImage` instance

Parameters:
  `target` - target `IPageImage`
  `type` - target `LowVisionType` for simulation
Returns:
  simulation result as new `IPageImage` instance
Throws:
  `ImageException`
See Also:
  `LowVisionType`

#### createPageImage

    public static IPageImage createPageImage(String bmpFileName)

Read image data (bitmap) from target file and create new `IPageImage` instance

Parameters:
  `bmpFileName` - target bitmap file name
Returns:
  new `IPageImage` instance, or null if not available

#### createPageImage

    public static IPageImage createPageImage(String bmpFileName,
                             boolean removeScrollBar)

Read image data (bitmap) from target file and create new `IPageImage` instance. If removeScrollBar flag is true, cut scroll bar area from image

Parameters:
  `bmpFileName` - target bitmap file name
  `removeScrollBar` - if true, cut scroll bar area from image
Returns:
  new `IPageImage` instance, or null if not available

#### createPageImage

    public static IPageImage createPageImage(InputStream is)

Read image data (bitmap) from `InputStream` and create new `IPageImage` instance

Parameters:
  `is` - target `InputStream` of image data
Returns:
  new `IPageImage` instance, or null if not available

#### createPageImage

    public static IPageImage createPageImage(InputStream is,
                             boolean removeScrollBar)

Read image data (bitmap) from `InputStream` and create new `IPageImage` instance. If removeScrollBar flag is true, cut scroll bar area from image

Parameters:
  `is` - target `InputStream` of image data
  `removeScrollBar` - if true, cut scroll bar area from image
Returns:
  new `IPageImage` instance, or null if not available

#### joinPageImages

    public static IPageImage joinPageImages(IPageImage[] targets)

Join multiple `IPageImage` into new `IPageImage` instance

Parameters:
  `targets` - array of target `IPageImage`
Returns:
  new `IPageImage` instance